Bug 471145 - Review Request: procinfo-ng - System monitoring application
Summary: Review Request: procinfo-ng - System monitoring application
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-12 00:06 UTC by Fabian Affolter
Modified: 2009-01-27 01:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 01:50:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2008-11-12 00:06:56 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/procinfo-ng.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/procinfo-ng-2.0.217-1.fc9.src.rpm

Project URL: http://sourceforge.net/projects/procinfo-ng/

Description:
Procinfo-NG is a complete rewrite of the old system monitoring application
procinfo.  The goal is to make more readable (and reusable) code and to 
restore broken functionality.

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=927803

rpmlint output:
[fab@laptop024 SRPMS]$ rpmlint procinfo-ng*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 i386]$ rpmlint procinfo-ng*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

I renamed the file 'procinfo' to 'procinfo-ng' in the %file section to avoid conflicts with the existing 'procinfo'.

Comment 1 Bill Nottingham 2008-11-12 01:09:56 UTC
Is it commandline-compatible, and somewhat-output-compatible, with original procinfo? If so, it may be worth talking to the procinfo maintainer about just obsoleting the old version.b

Comment 2 Fabian Affolter 2008-11-26 09:44:01 UTC
I added a note about a replacing of procinfo in the 'Merge Review'

https://bugzilla.redhat.com/show_bug.cgi?id=226317

Comment 3 Michael Schwendt 2008-12-03 19:22:32 UTC
> g++ -O0 -g3 --pipe -Wall -lncurses procinfo.cpp -o procinfo

It ignores our global %{optflags}, also influenced by switching on --enable-maintainer-mode. You want to make it accept $CFLAGS (as it doesn't use $CXXFLAGS for C++) and make sure that $LDFLAGS does not include -s (to avoid stripping the binaries as that would make the debuginfo pkg useless).


> /usr/bin/procinfo-ng

It builds just this executable (renamed from "procinfo") and therefore is not suitable as a direct replacement of the procinfo package, which includes "lsdev" and "socklist".

It is NOT options-compatible with the "procinfo" pkg either.

It conflicts with package "procinfo" in the manual page file, which you forgot to rename to procinfo-ng.8

Comment 4 Michael Schwendt 2008-12-03 19:27:04 UTC
> Summary:        System monitoring application

It's text-based (ncurses), which is special enough to mention that. Else a summary like this is misleading, since most users will expect a modern desktop GUI application that adds a menu entry, too.

Summary: Console-based system monitoring utility
Summary: Console-based system monitoring tool

...or something similar.

Comment 5 Fabian Affolter 2008-12-27 11:32:08 UTC
Michael, thanks for your inputs.

(In reply to comment #3)
> > g++ -O0 -g3 --pipe -Wall -lncurses procinfo.cpp -o procinfo
> 
> It ignores our global %{optflags}, also influenced by switching on
> --enable-maintainer-mode. You want to make it accept $CFLAGS (as it doesn't use
> $CXXFLAGS for C++) and make sure that $LDFLAGS does not include -s (to avoid
> stripping the binaries as that would make the debuginfo pkg useless).

fixed

> > /usr/bin/procinfo-ng
> 
> It builds just this executable (renamed from "procinfo") and therefore is not
> suitable as a direct replacement of the procinfo package, which includes
> "lsdev" and "socklist".
> 
> It is NOT options-compatible with the "procinfo" pkg either.
> 
> It conflicts with package "procinfo" in the manual page file, which you forgot
> to rename to procinfo-ng.8

I renamed the man page now.  It's the same man page as in procinfo as far as I can see.   lsdev and socklist are missing in procinfo-ng.

(In reply to comment #4)
> > Summary:        System monitoring application
> 
> It's text-based (ncurses), which is special enough to mention that. Else a
> summary like this is misleading, since most users will expect a modern desktop
> GUI application that adds a menu entry, too.

Changed

Here are the new files

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/procinfo-ng.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/procinfo-ng-2.0.217-2.fc9.src.rpm

Comment 6 Michael Schwendt 2008-12-29 19:26:06 UTC
Packaging-wise: APPROVED

[...]

* The manual page could/should be patched to remove references to the old hidden option -f (full screen), which has been removed.

* procinfo-ng -n1  mode gives strange/unexpected results here.

Except for the first second it shows bad values "inf%" and "nan%" for the CPU usage percentage numbers and vmm stats. (usually "inf = infinite" and "nan = not a number") It seems it somehow switches into diff-mode automatically and calculates values it cannot display.

Comment 7 Fabian Affolter 2009-01-11 10:14:39 UTC
(In reply to comment #6)
> Packaging-wise: APPROVED

Thanks for the review
 
> * The manual page could/should be patched to remove references to the old
> hidden option -f (full screen), which has been removed.

Patch added

Comment 8 Fabian Affolter 2009-01-11 10:16:18 UTC
New Package CVS Request
=======================
Package Name: procinfo-ng
Short Description: Console-based system monitoring utility
Owners: fab
Branches: F-9 F-10
InitialCC:

Comment 9 Kevin Fenzi 2009-01-11 16:51:01 UTC
cvs done.

Comment 10 Fedora Update System 2009-01-11 18:07:01 UTC
procinfo-ng-2.0.217-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/procinfo-ng-2.0.217-3.fc9

Comment 11 Fedora Update System 2009-01-11 18:07:04 UTC
procinfo-ng-2.0.217-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/procinfo-ng-2.0.217-3.fc10

Comment 12 Fedora Update System 2009-01-15 03:03:54 UTC
procinfo-ng-2.0.217-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update procinfo-ng'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0500

Comment 13 Fedora Update System 2009-01-15 03:10:00 UTC
procinfo-ng-2.0.217-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update procinfo-ng'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0566

Comment 14 Fedora Update System 2009-01-27 01:50:34 UTC
procinfo-ng-2.0.217-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-01-27 01:55:28 UTC
procinfo-ng-2.0.217-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.